package com.onsiteservice.constant.constant;

/**
 * 业务常量
 */
public class BizConstants {

    public static class UserConstants {
        public static final String ACCOUNT_NO = "accountNo";
        public static final String ROLE_TYPE = "roleType";
    }

    public static class OrderConstants {
        public static final String ORDER_ID = "orderId";
        public static final String ORDER_STATUS = "orderStatus";
        public static final long TIMEOUT_CANCEL_LIMIT = 1000 * 60 * 30;
    }

    public static class FormatConstants {
        public static final String CATEGORY_SUBCLASS_SERVICE_NAME = "%s-%s";
    }

    public static class CommonConstants {
        public static final String RELEASE_STATUS = "releaseStatus";
    }

}
