package com.onsiteservice.miniapp.controller.user.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import java.util.List;

@Data
public class UserInfoVO {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;


    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("昵称")
    private String nickName;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("邮箱")
    private String email;

    /**
     * 头像
     */
    @ApiModelProperty("头像")
    private String avatar;

    @ApiModelProperty("性别 0: 未知 1: 男 2: 女")
    private Integer sex;

    @ApiModelProperty("0 普通用户 1 客服 2 估价员 3 销售")
    private Integer roleType;

    @ApiModelProperty("订单信息")
    private List<UserOrderInfoVO> orderInfo;
}
